#form-creator-wrapper{
    max-width: 1200px;
    /* background-color: gray; */
    margin:auto;
    padding-top: 50px;
}

#form input{
    font-family:Georgia, 'Times New Roman', Times, serif;
    background-color: transparent;
    display: block;
    width: 100%;
    border: none;
    outline: none;
    color: hsl(0,0%,25%)
}
#form input::placeholder{
    color: hsl(0,0%,70%);
}

.form-element{
    position: relative;
    margin: auto;
    width: 80%;
    margin-bottom: 32px;
    border-left: 2px solid hsl(0,0%,50%);
    border-radius: 2px;
    padding-left: 16px;
}
.form-element:first-of-type{
    border: none;
}

.field-dismiss-btn{
    position: absolute;
    right:0;
    width:30px;
}
.field-dismiss-btn:hover{
    width:36px;
    right:-3px;
    top:-3px;
}

#form-title{
    font-size: xxx-large;
    font-weight:lighter;
    border: none;
    outline: none;
}
#form-description{
    font-size: x-large;
    font-weight:lighter;
    margin-top: 16px;
}

#field-creator{
    margin-top: 8px;
    display: flex;
    border: none;
    min-height: 100px;
    align-items: center ;
    gap:16px;
}
#add-section-btn .actions-btn{
    width: 32px;
}
#add-section-btn{
    border: 1px solid hsl(0,0%,70%);
    width: 50px;
    height: 50px;
    padding: 8px;
    border-radius: 50%;
}
.actions-btn{
    width: 50px;
    border-radius: 4px;
    padding: 4px;
}
.actions-btn img{
    width: 100%;;
}
#new-field-option-holder{
    display: none;
    justify-content: flex-start;
    gap: 8px;
    padding: 16px 16px;
    border: 1px solid hsl(0,0%,70%);
    width: fit-content;
    border-radius: 16px;
}

#new-field-option-holder .actions-btn:hover{
    background-color: hsl(0,0%,90%);
}

@media (max-width: 567px) {
    #new-field-option-holder{
        flex-direction: column;
    }
    #field-creator{
        align-items: flex-start;
    }
}

.field-question{
    font-size: x-large;
    margin-bottom: 16px;
}
.field-content-preview{
    font-size: large;
}

.mcq-option-wrapper{
    display: flex;
    flex-direction: column;
    gap:4px;
}

.mcq-option-holder{
    background-color: hsl(0,0%,85%);
    border-radius: 12px;
    height: fit-content;
    width: 100%;
    display: flex;
    justify-content: flex-start;
}

.mcq-option-holder input{
    font-size: large;
    padding: 12px 16px;
}
.add-option .actions-btn{
    margin-top:16px;
    margin-right:8px;
    height:30px;
    background-color: hsl(141, 79%, 85%);
}

.add-option .actions-btn:hover{
    background-color: hsl(141, 70%, 65%);
}

#form-footer{
    margin: auto;
    width: 80%;
    padding-left:16px;
    padding-bottom:64px;;
}

#publish-form-btn{
    border: none;
    background-color: #64A57B ;
    padding: 8px 16px;
    width: fit-content;
    border-radius: 8px;
    font-size: large;
    color: white;
}

#publish-form-btn:hover{
    background-color: #4A9666 ;
}